## org.apache.taglibs.standard.tag.common.core
Class SetSupport

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.taglibs.standard.tag.common.core.SetSupport

All Implemented Interfaces:
  Serializable, BodyTag, IterationTag, JspTag, Tag

Direct Known Subclasses:
  SetTag, SetTag

    public class SetSupport

extends BodyTagSupport

Support for handlers of the <set> tag.

Author:
  Shawn Bayern
See Also:
  Serialized Form

Field Summary
`protected String` `property`
`protected Object` `target`
`protected Object` `value`
`protected boolean` `valueSpecified`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`SetSupport()` Constructs a new handler.

Method Summary
`int` `doEndTag()` Default processing of the end tag returning EVAL_PAGE.
`void` `release()` Release state.
`void` `setScope(String scope)`
`void` `setVar(String var)`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, doStartTag, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Field Detail

### value

    protected Object value

### valueSpecified

    protected boolean valueSpecified

### target

    protected Object target

### property

    protected String property

Constructor Detail

### SetSupport

    public SetSupport()

  Constructs a new handler. As with TagSupport, subclasses should not provide other constructors and are expected to call the superclass constructor.

Method Detail

### release

    public void release()

  Description copied from class: `BodyTagSupport`
  Release state.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `BodyTagSupport`
  See Also:
    `Tag.release()`

### doEndTag

    public int doEndTag()
                 throws JspException

  Description copied from class: `BodyTagSupport`
  Default processing of the end tag returning EVAL_PAGE.

  Specified by:
    `doEndTag` in interface `Tag`
  Overrides:
    `doEndTag` in class `BodyTagSupport`
  Returns:
    EVAL_PAGE
  Throws:
    `JspException` - if an error occurred while processing this tag
  See Also:
    `Tag.doEndTag()`

### setVar

    public void setVar(String var)

### setScope

    public void setScope(String scope)

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.